package com.sundot.airport.item.mapper;

import com.sundot.airport.item.domain.HkPendingConfiscate;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface HkPendingConfiscateMapper {

    List<HkPendingConfiscate> selectHkPendingConfiscateList(HkPendingConfiscate query);

    HkPendingConfiscate selectHkPendingConfiscateById(Long id);

    HkPendingConfiscate selectHkPendingConfiscateByDateAndSlot(@Param("recordDate") Date recordDate, @Param("timeSlot") String timeSlot);

    int insertHkPendingConfiscate(HkPendingConfiscate data);

    int updateHkPendingConfiscate(HkPendingConfiscate data);

    int deleteHkPendingConfiscateByIds(Long[] ids);
}
